# inspired from fedora spec file
# Copyright (c) 2016 Adam Williamson <awilliam@redhat.com>
#                    Shawn Iwinski <shawn@iwin.ski>
# License: MIT
# https://opensource.org/licenses/MIT

%define github_owner     tchwork
%define github_name      jsqueeze
%define composer_vendor  patchwork
%define composer_name jsqueeze

%define php_libdir     %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.0.5
Release:        %mkrel 4
Summary:        Efficient JavaScript minification
Group:          Development/PHP
License:        ASL 2.0 or GPLv2
URL:            https://github.com/tchwork/jsqueeze
Source0:        https://github.com/tchwork/jsqueeze/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch
# Autoloader
BuildRequires:  php-theseer-autoload
Requires:       php >= 5.3.0
# phpcompatinfo (computed from version 2.0.5)
Requires:       php-pcre
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
JSqueeze shrinks / compresses / minifies / mangles Javascript code.

It's a single PHP class that is developed, maintained and thoroughly
tested since 2003 on major JavaScript frameworks (e.g. jQuery).

JSqueeze operates on any parse error free JavaScript code, even when
semi-colons are missing.

In term of compression ratio, it compares to YUI Compressor and
UglifyJS.

Autoloader: %{php_libdir}/Patchwork/autoload-jsqueeze.php


%prep
%setup -qn %{github_name}-%{version}

%build
: Generate autoloader
%{_bindir}/phpab --output src/autoload-jsqueeze.php src/
cat src/autoload-jsqueeze.php

%install
mkdir -p %{buildroot}%{php_libdir}/Patchwork
cp -pr src/* %{buildroot}%{php_libdir}/Patchwork/

%files
%doc LICENSE.* *.md composer.json
%{php_libdir}/Patchwork


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.0.5-4.mga9
+ Revision: 1819077
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.5-3.mga8
+ Revision: 1507234
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.5-2.mga7
+ Revision: 1287660
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 guillomovitch <guillomovitch> 2.0.5-1.mga7
+ Revision: 1194200
- imported package php-patchwork-jsqueeze

